<template>
  <section class="article-list">
    <Title>Articles</Title>

    <div class="list">
      <Card @click="$router.push({name: 'ArticleDetail', params: {id: article.id}})"  v-for="article in getArticles(page)" :data="article" :key="article.id"/>
    </div>

    <div class="pagination">
      <Button square :class="{ gray: page != i }" v-for="i in 5" :key="i" @click="page = i">{{i}}</Button>
      <Button :disabled="page >= 5" square gray @click="page++">
        <img src="../assets/img/Arrow.svg" alt="">
      </Button>
    </div>
  </section>
</template>

<script lang="ts">
import { State, Action } from 'vuex-class';
import { defineComponent } from 'vue'
import Title from '../components/Title.vue'
import Card from '../components/Card.vue'
import { mapActions, mapGetters } from 'vuex'
import Button from '../components/Button.vue'


export default defineComponent({
  components:{
    Title,
    Card,
    Button
  },
  mounted(){
    this.fetchData()
  },
  methods:{
    ...mapActions(['fetchData']),
  },
  computed:{
    ...mapGetters(['getArticles'])
  },
  data(){
    return{
      page: 1
    }
  }
})
</script>

<style lang="scss" scoped>
.article-list{
  width: 100%;
}

.list{
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  align-items: flex-start;
}

.pagination{
  display: flex;
  align-items: center;
  margin-bottom: 170px;
}
</style>